<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="ImR_Client_vc71_Static"
	ProjectGUID="{F2D6CD00-FECA-1BAD-F76E-F1390200CA92}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Debug\ImR_Client_vc71_Static\I386"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..,.."
                                PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS;MPC_LIB_MODIFIER=\&quot;sd\&quot;"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\lib\TAO_ImR_Clientsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_ImR_Clientsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,.."/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Release\ImR_Client_vc71_Static\I386"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..,.."
                                PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS;MPC_LIB_MODIFIER=\&quot;s\&quot;"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_ImR_Clients.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,.."/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="ImR_Client\ImplRepoC.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ImplRepoS.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ImR_Client.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ServerObject_i.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ServerObjectA.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ServerObjectC.cpp">
			</File>
			<File
				RelativePath="ImR_Client\ServerObjectS.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="ImR_Client\ImR_Client.h">
			</File>
			<File
				RelativePath="ImR_Client\imr_client_export.h">
			</File>
			<File
				RelativePath="ImR_Client\ServerObject_i.h">
			</File>
		</Filter>
		<Filter
			Name="Build Files"
			Filter="mpc;mpb;mwc">
			<File
				RelativePath="AnyTypeCode.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="BiDir_GIOP.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Bzip2Compressor.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="CodecFactory.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Codeset.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Compression.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="CSD_Framework.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="CSD_ThreadPool.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="DiffServPolicy.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="DynamicAny.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="DynamicInterface.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="EndpointPolicy.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="extra_anytypecode.mpb">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="extra_core.mpb">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FlResource.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FoxResource.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="IFR_Client.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="ImR_Client.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="IORInterceptor.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="IORManipulation.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="IORTable.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="LzoCompressor.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Monitor.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="ObjRefTemplate.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PI.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PI_Server.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PortableServer.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="QtResource.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="RTCORBA.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="RTPortableServer.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="RTScheduler.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="SmartProxies.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Strategies.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="tao.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="tao.mwc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="TC.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="TC_IIOP.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="TkResource.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="TypeCodeFactory.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Utils.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Valuetype.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="XtResource.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="ZIOP.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="ZlibCompressor.mpc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="ImR_Client\TAO_ImR_Client.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Pidl Files"
			Filter="pidl">
			<File
				RelativePath="ImR_Client\ImplRepo.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="ImR_Client\ServerObject.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="PP_Memory_Management.txt">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
